Index: applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- applications/dual/vahala/DP/prac_verz.lyx (revision 1452)
+++ applications/dual/vahala/DP/prac_verz.lyx (revision 1453)
@@ -100,5 +100,5 @@
 \begin_inset CommandInset citation
 LatexCommand cite
-key "adaptDC2004,BertsekasDPOC"
+key "BertsekasDPOC,adaptDC2004"
 
 \end_inset
@@ -2050,6 +2050,8 @@
 \begin_inset Formula 
 \begin{eqnarray}
-\frac{d}{dt}\left(i_{d}\cos\vartheta-i_{q}\sin\vartheta\right) & = & -\frac{R_{s}}{L_{s}}\left(i_{d}\cos\vartheta-i_{q}\sin\vartheta\right)+\frac{\psi_{pm}}{L_{s}}\omega\sin\vartheta+\frac{1}{L_{s}}\left(u_{d}\cos\vartheta-u_{q}\sin\vartheta\right),\nonumber \\
-\frac{d}{dt}\left(i_{d}\sin\vartheta+i_{q}\cos\vartheta\right) & = & -\frac{R_{s}}{L_{s}}\left(i_{d}\sin\vartheta+i_{q}\cos\vartheta\right)-\frac{\psi_{pm}}{L_{s}}\omega\cos\vartheta+\frac{1}{L_{s}}\left(u_{d}\sin\vartheta+u_{q}\cos\vartheta\right).\label{eq:uprava-rovnic-z-albe-na-dq-pro-ls}
+\frac{d}{dt}\left(i_{d}\cos\vartheta-i_{q}\sin\vartheta\right) & = & -\frac{R_{s}}{L_{s}}\left(i_{d}\cos\vartheta-i_{q}\sin\vartheta\right)+\frac{\psi_{pm}}{L_{s}}\omega\sin\vartheta+\nonumber \\
+ & + & \frac{1}{L_{s}}\left(u_{d}\cos\vartheta-u_{q}\sin\vartheta\right),\label{eq:uprava-rovnic-z-albe-na-dq-pro-ls}\\
+\frac{d}{dt}\left(i_{d}\sin\vartheta+i_{q}\cos\vartheta\right) & = & -\frac{R_{s}}{L_{s}}\left(i_{d}\sin\vartheta+i_{q}\cos\vartheta\right)-\frac{\psi_{pm}}{L_{s}}\omega\cos\vartheta+\nonumber \\
+ & + & \frac{1}{L_{s}}\left(u_{d}\sin\vartheta+u_{q}\cos\vartheta\right).\nonumber 
 \end{eqnarray}
 
@@ -2344,9 +2346,5 @@
 \end_inset
 
- (
-\series bold
-případně najít další zdroje
-\series default
-):
+:
 \end_layout
 
@@ -2419,5 +2417,31 @@
 
 \begin_layout Itemize
-směru otáčení -- která ze symetrických verzí 
+směru otáčení (viz následující odstavec)
+\end_layout
+
+\begin_layout Subsubsection
+Symetrie rovnic stroje
+\end_layout
+
+\begin_layout Standard
+Při popisu PMSM pomocí jeho rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice-pmsm-albe-ls"
+
+\end_inset
+
+) v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ zle vypozorovat symetrii těchto rovnic na substituci stavových veličin
+ 
+\begin_inset Formula $\left(\omega,\vartheta\right)\longleftrightarrow\left(-\omega,\vartheta+\pi\right)$
+\end_inset
+
+.
+ V důsledku bezsenzorového návrhu pak při užití modelu stroje založeného
+ na těchto rovnicích nelze poznat, která ze symetrických verzí 
 \begin_inset Formula $\left(\omega,\vartheta\right)$
 \end_inset
@@ -2427,13 +2451,13 @@
 \end_inset
 
- je realizována (
-\series bold
-tohle ještě dostatečně zdůraznit a upozornit na to v odhadovacích metodách,
- kde to je
-\series default
-) To je u PMSM obecně velkým problémem a příčinu tohoto jevu lze snadno
- vysledovat už v rovnicích modelu tohoto stroje.
- Ty jsou totiž symetrické na substituci stavových veličin 
-\begin_inset Formula $\left(\omega,\vartheta\right)\longleftrightarrow\left(-\omega,\vartheta+\pi\right)$
+ je realizována.
+ Tento problém je však zcela zásadní, protože se jedná o otáčení stroje
+ na opačnou stranu.
+ Pro správný běh stroje je tedy třeba odhadovat polohu 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ v celém intervalu 
+\begin_inset Formula $\left\langle -\pi,\pi\right\rangle $
 \end_inset
 
@@ -2521,9 +2545,12 @@
  napětí dodaná napájecí elektronikou se mohou často značně lišit.
  Vliv a řešení tohoto konkrétního problému bude podrobněji diskutován dále
- v textu (
-\series bold
-odkaz
-\series default
-).
+ v textu, viz 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Kompenzace-úbytků-napětí"
+
+\end_inset
+
+.
 \end_layout
 
@@ -3918,9 +3945,12 @@
  Požadavek řízení na nulové hodnoty je pak třeba vhodně ošetřit.
  Příklad takového postupu představuje úprava lineárně kvadratického řízení
- pro PMSM v kapitole (
-\series bold
-odkaz
-\series default
-).
+ pro PMSM v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Linearne-kvadraticky-regulator"
+
+\end_inset
+
+.
 \end_layout
 
@@ -4105,13 +4135,19 @@
  vektorového řízení.
  Popisu lineárně kvadratického přístupu bude věnována samostatná část v
- následující kapitole (
-\series bold
-odkaz
-\series default
-) a jeho aplikace na PMSM pak bude uvedena dále v části (
-\series bold
-odkaz
-\series default
-).
+ následující kapitole v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Linearne-kvadraticky-regulator-obec-popis"
+
+\end_inset
+
+ a jeho aplikace na PMSM pak bude uvedena dále v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Linearne-kvadraticky-regulator"
+
+\end_inset
+
+.
 \end_layout
 
@@ -4376,9 +4412,12 @@
 
 \begin_layout Standard
-Konkrétní implementace použitá v simulacích v kapitole (
-\series bold
-odkaz
-\series default
-) vychází z 
+Konkrétní implementace použitá v simulacích v kapitole 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "chap:Experimenty"
+
+\end_inset
+
+  vychází z 
 \begin_inset CommandInset citation
 LatexCommand cite
@@ -6458,5 +6497,5 @@
 \end_inset
 
- uvažován nulový.
+ uvažován pro jednoduchost nulový.
 \end_layout
 
@@ -9995,4 +10034,11 @@
 \begin_layout Chapter
 Experimenty
+\begin_inset CommandInset label
+LatexCommand label
+name "chap:Experimenty"
+
+\end_inset
+
+
 \end_layout
 
@@ -10098,5 +10144,5 @@
 \end_inset
 
-.
+, naprostá většina provedených simulací v tomto textu je však tohoto typu.
 \end_layout
 
@@ -10521,4 +10567,11 @@
 \begin_layout Subsection
 Kompenzace úbytků napětí
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Kompenzace-úbytků-napětí"
+
+\end_inset
+
+
 \end_layout
 
@@ -11133,5 +11186,5 @@
 \begin_inset Graphics
 	filename obrazky/vliv_ss.eps
-	scale 80
+	scale 60
 
 \end_inset
@@ -13758,4 +13811,11 @@
 \begin_layout Section
 Simulační porovnání algoritmů
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Simulační-porovnání-algoritmů"
+
+\end_inset
+
+
 \end_layout
 
@@ -13898,5 +13958,5 @@
 \end_inset
 
- opakování, do grafů chyb odhadů (obrázek 
+ opakování, do grafů zobrazujících chyby odhadů (obrázek 
 \begin_inset CommandInset ref
 LatexCommand ref
@@ -14164,5 +14224,5 @@
 \begin_layout Plain Layout
 Vliv počáteční polohy na rozjezd stroje při užítí různých algoritmů.
- a) přechled dosažených průměrných kvadratických chyb (
+ a) přehled dosažených průměrných kvadratických chyb (
 \begin_inset Formula $\delta$
 \end_inset
@@ -14205,6 +14265,321 @@
 
 \begin_layout Standard
-stručný test, jak dobře zvládne držet nulové otáčky, správná i špatná počáteční
- poloha, kdy ji zvládne opravit
+Dále byly prováděny podobné simulace jako v předchozím odstavci, týkajícím
+ se rozjezdu stroje, nyní však s jiným profilem požadovaných otáček.
+ Bylo testováno chování jednotlivých algoritmů v nulových otáčkách při špatném
+ počátečním odhadu úhlu 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+.
+ Počáteční poloha 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+ byla opět volena náhodně z intervalu 
+\begin_inset Formula $\left\langle -\frac{\pi}{2},\frac{\pi}{2}\right\rangle $
+\end_inset
+
+ ze stejných důvodů jako v předchozím odstavci.
+ Simulace byly prováděny opakovaně, vždy 
+\begin_inset Formula $100$
+\end_inset
+
+ opakování, do grafů zobrazujících chyby odhadů bylo pro předhlednost uvažováno
+ vzorků méně.
+\end_layout
+
+\begin_layout Standard
+Provedené simulace byly jednak zaměřeny na velikost chyby řízení v nulových
+ otáčkách, ale především na zkoumání schopnosti jednotlivých algoritmů omezit
+ počáteční neznalost polohy 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ při současném požadavku na udržení stroje v klidu.
+ Oproti předchozímu odstavci zde nedochází ke zvyšování hodnoty referenčních
+ otáček a tak vzhledem k referenčním otáčkám je poloha stále nepozorovatelným
+ stavem.
+ Ke zlepšení odhadu polohy je tedy třeba aktivního budícího zásahu, který
+ ovšem zřejmě naruší požadovaný klidový stav stroje.
+ Právě při této úloze by se měly s výhodou uplatnit duální algoritmy.
+\end_layout
+
+\begin_layout Standard
+Na grafech b)-f) obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:chovani-v-nule"
+
+\end_inset
+
+ jsou znázorněny průběhy chyb odhadu polohy 
+\begin_inset Formula $\vartheta-\hat{\vartheta}$
+\end_inset
+
+ v čase pro jednotlivý algoritmy při různé počáteční hodnotě úhlu natočení
+ 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+.
+ V případě samostatného vektorového řízení nedochází nijak k omezování chyby
+ odhadu.
+ Konkrétně pro vektorové PI řízení jsou všechny řícící zásahy nulové a chyba
+ odhadu zůstává v čase konstantní.
+ V případě vektorového řízení založeného na LQ regulátoru je situace nepatrně
+ lepší a chyby odhadu nezůstávají zcela konstantní a dochází k drobnému
+ zvlnění.
+ Jedná se však spíše o náhodné změny v důsledku řídících zásahů snažících
+ se udržet nulové otáčky.
+ 
+\end_layout
+
+\begin_layout Standard
+Zcela odlišné výsledky však poskytují zbývající tři algoritmy, které zvládají
+ počáteční chybu odhadu polohy výrazně omezit.
+ Je však důležité věnovat pozornost i dosažené chybě při řízení na nulové
+ požadované otáčky.
+ Tato chyba je zde opět reprezentována jako průměrná kvadratická chyba skutečnýc
+h a požadovaných otáček a její hodnoty jsou pro jednotlivé algoritmy zaneseny
+ v grafu na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:chovani-v-nule"
+
+\end_inset
+
+ a).
+ Zřejmě lze očekávat, že v případě algoritmů, které nějakým způsobem omezují
+ chybu odhadu polohy dojde k nárůstu chyby řízení.
+ V případě vektorového PI řízení, které při požadavku na nulové otáčky stručně
+ řečeno 
+\begin_inset Quotes gld
+\end_inset
+
+nic nedělá
+\begin_inset Quotes grd
+\end_inset
+
+ je také chyba řízení nulová.
+ Naopak pro bikriteriální metodu, která zvládá omezování počáteční chyby
+ odhadu polohy relativně nejlépe je průměrná kvadratická chyba skutečnách
+ a požadovaných otáček vysoká.
+ Vyšší chyby pak dosahuje i algoritmus využívající hyperstav.
+ Nejlepších výsledků a současně jakéhosi kompromisu pak dosahují jednoduché
+ injektáže, které zvládají efektivně omezit chybu odhadu a současně udržet
+ chybu řízení dostatečně nízkou.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="6" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/nula/chybybar.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/nula/nula_pi.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) průměrná kvadratická chyba
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) vektorové PI řízení
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/nula/nula_lq.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/nula/nula_in.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+c) vektorové LQ řízení
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+d) využití injektáží
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/nula/nula_bk.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/nula/nula_hs.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+e) bikriteriální metoda
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+f) algoritmus využívající hyperstav
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Vliv počáteční polohy na setrvání stroje v nulových otáčkách při užítí různých
+ algoritmů.
+ a) přehled dosažených průměrných kvadratických chyb (
+\begin_inset Formula $\delta$
+\end_inset
+
+) pro jednotlivé algoritmy 1 až 5; dále je zobrazena chyba odhadu polohy
+ 
+\begin_inset Formula $\vartheta-\hat{\vartheta}$
+\end_inset
+
+ pro: b) PI řízení (algoritmus 1), c) vektorové LQ řízení (algoritmus 2),
+ d) jednoduchý injektážní návrh (algoritmus 3), e) bikriteriální metodu
+ (algoritmus 4), f) algoritmus založený na hyperstavu (algoritmus 5).
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:chovani-v-nule"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
@@ -14214,5 +14589,360 @@
 
 \begin_layout Standard
-problematika nulových otáček a neaktivity některých řízení (PI)
+Tento odstavec bude zaměřen na chování jednotlivých algoritmů v nízkých
+ otáčkách.
+ Pro srovnání bylo konkrétně užito profilů 
+\emph on
+nízké otáčky
+\emph default
+ 
+\emph on
+trojúhelníky 
+\emph default
+a 
+\emph on
+lichoběžníky
+\emph default
+.
+ Jednotlivé algoritmy byly porovnány na základě průměrných kvadratických
+ chyb, jejich hodnoty jsou pak zaneseny v grafu na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-ztraty"
+
+\end_inset
+
+ a).
+ Dále je chování jednotlivých algoritmů možno posoudit i z průběhů otáček
+ 
+\begin_inset Formula $\omega$
+\end_inset
+
+ v čase, které jsou pro jednotlivé algoritmy zachyny na grafech 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-otacek-nizke"
+
+\end_inset
+
+ a) pro trojúhelníkový a b) pro lichoběžníkový profil požadovaných otáček.
+\end_layout
+
+\begin_layout Standard
+Především lze opět pozorovat již zmiňovanou neaktivitu vektorového PI řízení,
+ kdy na profilu nízkých otáček s amplitudou 
+\begin_inset Formula $1rad/s$
+\end_inset
+
+ vůbec nedojde k roztočení stroje a v důsledku toho pak dohází k relativně
+ větší průměrné kvadratické chybě.
+ 
+\end_layout
+
+\begin_layout Standard
+Dále je velmi zajímavé chování bikriteriální metody.
+ Protože se jedná o jednoduchý suboptimální duální algoritmus není zde dosažena
+ vhodná rovnováha mezi opatrností a buzením.
+ To se projevuje především velmi výraznými budícími zásahy v nulových otáčkách,
+ které následně způsobí nárůst chyby řízení.
+ Z jistého úhlu pohledu však nelze označit toto chování přímo za špatné.
+ Regulátor totiž přidává výrazné budící zásahy pouze při dosažení nulových
+ otáček, tedy když dojde k nepozorovatelnosti systému.
+ Tyto budící zásahy jsou však relativně velké vzhledem k amplitude otáček,
+ což by mohlo být překážkou pro praktickou aplikaci algoritmu.
+\end_layout
+
+\begin_layout Standard
+Ostatní uvažované algoritmy vykazují podobný průběh otáček a tedy jsou v
+ grafech zobrazeny pouze jako jeden společný reprezentant 
+\emph on
+ostatní
+\emph default
+.
+ Všechny tyto algoritmy také dosáhly relativně nízké průměrné kvadratické
+ chyby pro trojúhelníkový i lichoběžníkový profil.
+ Jako nejlepší z nich a i celkově se ukazuje jednoduchý injektážní návrh,
+ rozdíl oproti algortimu založeném na hyperstavu je však malý.
+ Nízké ztráty pak dosahuje i samostatné vektorové LQ řízení.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="2" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/nizke.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset space \hspace{}
+\length 0.9cm
+\end_inset
+
+a) nízké otáčky -- trojúhelníky
+\begin_inset space \hspace{}
+\length 2.4cm
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) nízké otáčky -- lichoběžníky
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Porovnání průběhu hodnoty otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ při řízení jednotlivými algoritmy na požadovanou hodnotu 
+\begin_inset Formula $\omega_{ref}$
+\end_inset
+
+ danou profilem 
+\emph on
+nízké otáčky
+\emph default
+ (a) trojúhelníky a (b) lichoběžníky.
+ Pod označením 
+\emph on
+ostatní
+\emph default
+ jsou rozumněny následující algoritmy: vektorové LQ řízení, jednoduchý injektážn
+í návrh a algoritmus založený na hyperstavu.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:prubehy-otacek-nizke"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="4" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/bar_nizke.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/bar_pruchod.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) nízké otáčky
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) průchody nulou
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/bar_vysoke.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+c) vysoké otáčky
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Dosažené hodnoty průměrných kvadratických ztrát 
+\begin_inset Formula $\delta$
+\end_inset
+
+ pro profily 
+\emph on
+nízké otáčky
+\emph default
+ a), 
+\emph on
+průchody nulou 
+\emph default
+b) a 
+\emph on
+vysoké otáčky
+\emph default
+ c).
+ Použité algoritmy jdou v pořadí: 1 -- vektorové PI řízení, 2 -- vektorové
+ LQ řízení, 3 -- jednoduchý injektážní návrh, 4 -- bikriteriální metoda
+ a 5 -- algoritmus využívající hyperstav.
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:prubehy-ztraty"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
@@ -14222,5 +14952,264 @@
 
 \begin_layout Standard
-problematika průchodu nulou
+Dále byla věnována pozornost problematice průchodů nulou.
+ Jedná se o změnu směru otáčení stroje, která může být ztížena setrváním
+ po určitý časový okamžit v klidu, tedy při nulových otáčkách.
+ Běžný průchod nulou je realizován pomocí trojúhelníkového referenčního
+ profilu, průchod se setrváním v nulových otáčkách pak profilem lichoběžníkovým.
+ Pro srovnání jednotlivých algoritmů bylo užito simulací s referenčními
+ profily otáček 
+\emph on
+průchody nulou
+\emph default
+.
+ Výsledky těchto simulací v podobě průběhů hodnoty otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ v čase pro různé algoritmy jsou zachyceny na grafech 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-otacek-pruchod"
+
+\end_inset
+
+ a) a b).
+\end_layout
+
+\begin_layout Standard
+Jednotlivé algoritmy pak byly porovnávány na základě dosažených průměrných
+ kvadratických chyb, jejichž hodnoty jsou uvedeny v grafu 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-ztraty"
+
+\end_inset
+
+ b).
+ Největší chyby ve sledování referenčního signálu se dopustilo vektorové
+ PI řízení.
+ Problémem je opět 
+\begin_inset Quotes gld
+\end_inset
+
+neaktivita
+\begin_inset Quotes grd
+\end_inset
+
+ tohoto algoritmu, dokud není dosaženo dostatečně vysoké hodnoty požadovaných
+ otáček.
+ Problematika tohoto jevu bude detailněji diskutována v závěru kapitoly.
+\end_layout
+
+\begin_layout Standard
+Opět je možno pozorovat 
+\begin_inset Quotes gld
+\end_inset
+
+budící
+\begin_inset Quotes grd
+\end_inset
+
+ zásahy bikriteriální metody při dosažení nulových otáček.
+ Vzhledem k tomu, že nyní mají podstatně menší amplitudu ve srovnání s amplitudo
+u požadovaných a následně skutečných otáček, je chyba v jejich důsledku
+ již relativně menší a nejedná se o tolik závažný problém.
+\end_layout
+
+\begin_layout Standard
+Podobně velké chyby pak dosahuje vektorové LQ řízení i algoritmus hyperstavu.
+ Pro vektorové LQ řízení je chyba nepatrně větší pravděpodobně v důsledku
+ trvalé odchylky od požadované hodnoty.
+ Nejlepších výsledků je pak dosaženo užitím jednoduchého injektážního návrhu.
+\end_layout
+
+\begin_layout Standard
+Detailnější porovnání průběhů hodnoty otáček při průchodu nulou pro jednotlivé
+ algoritmy je znázorněno na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-otacek-pruchod"
+
+\end_inset
+
+ c) a d).
+ Zde je možno pozorovat především chybu vektorového PI řízení při průchodu
+ nulou a dále pak 
+\begin_inset Quotes gld
+\end_inset
+
+budící
+\begin_inset Quotes grd
+\end_inset
+
+ zásahy bikriteriální metody.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="4" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/pruchod.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset space \hspace{}
+\length 0.5cm
+\end_inset
+
+a) průchody nulou -- trojúhelníky
+\begin_inset space \hspace{}
+\length 2.2cm
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) průchody nulou -- lichoběžníky
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/pruchod_detail.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+c) detail  -- trojúhelníky
+\begin_inset space \hspace{}
+\length 1.7cm
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+d) detail -- lichoběžníky
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Porovnání průběhu hodnoty otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ při řízení jednotlivými algoritmy na požadovanou hodnotu 
+\begin_inset Formula $\omega_{ref}$
+\end_inset
+
+ danou profilem 
+\emph on
+průchody nulou
+\emph default
+ (a,c) trojúhelníky a (b,d) lichoběžníky.
+ Pod označením 
+\emph on
+ostatní
+\emph default
+ jsou rozumněny následující algoritmy: vektorové LQ řízení, jednoduchý injektážn
+í návrh a algoritmus založený na hyperstavu.
+ Nahoře (a,b) je celkový pohled na průběh hodnoty otáček v čase a dole (c,d)
+ pak vybraný detail průchodu nulovými otáčkami.
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:prubehy-otacek-pruchod"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
